编译spingside-core错误

ppt0501 发布于 2013/11/15 15:48
阅读 1K+
收藏 1

想运行quickstart,先编译springside-test没问题,再编译springside-core保错,如下,求大神解答

[INFO] Scanning for projects...
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building Springside :: Module :: Core 4.1.0.GA
[INFO] ------------------------------------------------------------------------
Downloading: http://repo.maven.apache.org/maven2/org/springside/springside-parent/4.1.0.GA/springside-parent-4.1.0.GA.pom
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 1.447s
[INFO] Finished at: Fri Nov 15 15:34:03 CST 2013
[INFO] Final Memory: 4M/8M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal on project springside-core: Could not resolve dependencies for project org.springside:springside-core🏺4.1.0.GA: Failed to collect dependencies for [org.springframework:spring-core🏺3.2.3.RELEASE (compile?), org.hibernate:hibernate-core🏺4.2.3.Final (compile?), org.springframework.data:spring-data-jpa🏺1.3.2.RELEASE (compile?), org.apache.shiro:shiro-web🏺1.2.2 (compile?), org.eclipse.jetty:jetty-jsp🏺7.6.11.v20130520 (compile?), org.springframework:spring-web🏺3.2.3.RELEASE (compile?), org.springframework:spring-webmvc🏺3.2.3.RELEASE (compile?), com.google.guava:guava🏺14.0.1 (compile?), org.apache.commons:commons-lang3🏺3.1 (compile?), commons-codec:commons-codec🏺1.8 (compile?), commons-io:commons-io🏺2.4 (compile?), commons-beanutils:commons-beanutils🏺1.8.3 (compile?), com.fasterxml.jackson.core:jackson-databind🏺2.1.5 (compile?), com.fasterxml.jackson.module:jackson-module-jaxb-annotations🏺2.1.5 (compile?), net.sf.dozer:dozer🏺5.4.0 (compile?), org.hibernate:hibernate-validator🏺4.3.1.Final (compile?), org.slf4j:slf4j-api🏺1.7.5 (compile?), ch.qos.logback:logback-classic🏺1.0.13 (compile?), org.springside:springside-test🏺4.1.0.GA (test), junit:junit🏺4.11 (test), org.mockito:mockito-core🏺1.9.5 (test), org.springframework:spring-test🏺3.2.3.RELEASE (test), org.springframework:spring-context🏺3.2.3.RELEASE (test), dom4j:dom4j🏺1.6.1 (test), jaxen:jaxen🏺1.1.4 (test)]: Failed to read artifact descriptor for org.springside:springside-test🏺4.1.0.GA: Could not find artifact org.springside:springside-parent:pom:4.1.0.GA in central (http://repo.maven.apache.org/maven2) -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/DependencyResolutionException


加载中
0
ppt0501
ppt0501
编译子工程前,先编译父工程,就ok了。
返回顶部
顶部